#pragma once


#include "DlgGeneralnfo.h"
#include "DlgCardScan.h"
#include "DlgReadWrite.h"
#include "DlgLedBuzz.h"

class CMainPropertySheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CMainPropertySheet)

public:
	CMainPropertySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CMainPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~CMainPropertySheet();

protected:
	DECLARE_MESSAGE_MAP()

private:
	CDlgGeneralnfo	m_clsGenInfo;
	CDlgLedBuzz		m_clsLedBuzz;
	CDlgCardScan	m_clsCardScan;
	CDlgReadWrite	m_clsReadWrite;
};


